{
  "compilerOptions": {
    "target": "esnext",
    "module": "commonjs",
    "lib": ["es2020"],
    "allowJs": true,
    "jsx": "react-native",
    "noEmit": true,
    "strict": true,
    "moduleResolution": "node",
    "resolveJsonModule": true,
    "isolatedModules": true,
    "esModuleInterop": true,
    "skipLibCheck": true,
    "forceConsistentCasingInFileNames": true,
    "baseUrl": ".",
    "paths": {
      "@services/*": ["src/services/*"],
      "@screens/*": ["src/screens/*"],
      "@components/*": ["src/components/*"]
    }
  },
  "include": ["App.tsx", "src/**/*.ts", "src/**/*.tsx"],
  "exclude": ["node_modules", "babel.config.js", "metro.config.js"]
}
